# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live"
payload = [
{
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_name: 'English', location_code: 2840, limit: 3}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_name' => 'English',
'location_code' => 2840,
'limit' => 3
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live"
payload := strings.NewReader("[\n {\n \"language_name\": \"English\",\n \"location_code\": 2840,\n \"limit\": 3\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_name\": \"English\",\n \"location_code\": 2840,\n \"limit\": 3\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_name\": \"English\",\n \"location_code\": 2840,\n \"limit\": 3\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"se_type": "<string>",
"location_code": 123,
"language_code": "<string>",
"total_count": 123,
"items_count": 123,
"offset": 123,
"offset_token": "<string>",
"items": [
{
"se_type": "<string>",
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"keyword_info": {
"se_type": "<string>",
"last_updated_time": "<string>",
"competition": 123,
"competition_level": "<string>",
"cpc": 123,
"search_volume": 123,
"low_top_of_page_bid": 123,
"high_top_of_page_bid": 123,
"categories": [
123
],
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
],
"search_volume_trend": {
"monthly": 123,
"quarterly": 123,
"yearly": 123
}
},
"keyword_info_normalized_with_bing": {
"last_updated_time": "<string>",
"search_volume": 123,
"is_normalized": true,
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
},
"keyword_info_normalized_with_clickstream": {
"last_updated_time": "<string>",
"search_volume": 123,
"is_normalized": true,
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
},
"clickstream_keyword_info": {
"search_volume": 123,
"last_updated_time": "<string>",
"gender_distribution": {},
"age_distribution": {},
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
},
"keyword_properties": {
"se_type": "<string>",
"core_keyword": "<string>",
"synonym_clustering_algorithm": "<string>",
"keyword_difficulty": 123,
"detected_language": "<string>",
"is_another_language": true,
"words_count": 123
},
"serp_info": {
"se_type": "<string>",
"check_url": "<string>",
"serp_item_types": [
"<string>"
],
"se_results_count": 123,
"last_updated_time": "<string>",
"previous_updated_time": "<string>"
},
"avg_backlinks_info": {
"se_type": "<string>",
"backlinks": 123,
"dofollow": 123,
"referring_pages": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"rank": 123,
"main_domain_rank": 123,
"last_updated_time": "<string>"
},
"search_intent_info": {
"se_type": "<string>",
"main_intent": "<string>",
"foreign_intent": [
"<string>"
],
"last_updated_time": "<string>"
}
}
]
}
]
}
]
}热门搜索
DataForSEO Labs API 的热门搜索端点可从 [DataForSEO 关键词数据库](https://dataforseo.
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live"
payload = [
{
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_name: 'English', location_code: 2840, limit: 3}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_name' => 'English',
'location_code' => 2840,
'limit' => 3
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live"
payload := strings.NewReader("[\n {\n \"language_name\": \"English\",\n \"location_code\": 2840,\n \"limit\": 3\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_name\": \"English\",\n \"location_code\": 2840,\n \"limit\": 3\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_name\": \"English\",\n \"location_code\": 2840,\n \"limit\": 3\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"se_type": "<string>",
"location_code": 123,
"language_code": "<string>",
"total_count": 123,
"items_count": 123,
"offset": 123,
"offset_token": "<string>",
"items": [
{
"se_type": "<string>",
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"keyword_info": {
"se_type": "<string>",
"last_updated_time": "<string>",
"competition": 123,
"competition_level": "<string>",
"cpc": 123,
"search_volume": 123,
"low_top_of_page_bid": 123,
"high_top_of_page_bid": 123,
"categories": [
123
],
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
],
"search_volume_trend": {
"monthly": 123,
"quarterly": 123,
"yearly": 123
}
},
"keyword_info_normalized_with_bing": {
"last_updated_time": "<string>",
"search_volume": 123,
"is_normalized": true,
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
},
"keyword_info_normalized_with_clickstream": {
"last_updated_time": "<string>",
"search_volume": 123,
"is_normalized": true,
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
},
"clickstream_keyword_info": {
"search_volume": 123,
"last_updated_time": "<string>",
"gender_distribution": {},
"age_distribution": {},
"monthly_searches": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
},
"keyword_properties": {
"se_type": "<string>",
"core_keyword": "<string>",
"synonym_clustering_algorithm": "<string>",
"keyword_difficulty": 123,
"detected_language": "<string>",
"is_another_language": true,
"words_count": 123
},
"serp_info": {
"se_type": "<string>",
"check_url": "<string>",
"serp_item_types": [
"<string>"
],
"se_results_count": 123,
"last_updated_time": "<string>",
"previous_updated_time": "<string>"
},
"avg_backlinks_info": {
"se_type": "<string>",
"backlinks": 123,
"dofollow": 123,
"referring_pages": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"rank": 123,
"main_domain_rank": 123,
"last_updated_time": "<string>"
},
"search_intent_info": {
"se_type": "<string>",
"main_intent": "<string>",
"foreign_intent": [
"<string>"
],
"last_updated_time": "<string>"
}
}
]
}
]
}
]
}示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/top_searches/live" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"location_name": "...", "location_code": "...", "language_name": "..."}]'
// 把整段复制给 Claude Code、Codex、Cursor 或任意 coding agent。
// 连接、授权、跑通这个例子需要的东西都在里面 ——
// 不用粘贴任何 key,浏览器里点一次 Allow 就好。
{
"operation_id": "post_dataforseo_labs_google_top_searches_live",
"arguments": {},
"max_price_usd": 0.05
}
// ── for the agent ─────────────────────────────────────────────────────────
// Register the AIsa MCP server, then call its `use` tool with the JSON above.
// name aisa
// endpoint https://mcp.aisa.one/mcp
// transport streamable-http
// auth OAuth. The server publishes RFC 9728 metadata, so open a
// browser and the user clicks Allow once — nothing to paste.
// If AISA_API_KEY is set, send it as a bearer header instead.
// Use your own MCP mechanism, not a hand-edited config file:
// Codex codex mcp add aisa --url https://mcp.aisa.one/mcp
// Claude Code claude mcp add --transport http -s user aisa https://mcp.aisa.one/mcp
// Cursor / VS Code a "url" entry for https://mcp.aisa.one/mcp in the MCP config
// The server lists five tools over https://mcp.aisa.one/servers worth of APIs:
// search, get_details, use, batch_use, list_categories. search and
// get_details are free; use is billed per call and max_price_usd refuses
// anything above the cap before spending. This operation's full contract —
// every argument, the response shape, the price and the pitfalls — is at
// https://aisa.one/docs/zh/api-reference/dataforseo/post_dataforseo-dataforseo-labs-google-top-searches-live.md
// Then run the call and show me the result.
https://mcp.aisa.one/mcp —— Claude Code、
Codex、Cursor、VS Code 都可以。鉴权走 OAuth:客户端打开浏览器,你点一次
Allow,不需要粘贴任何 key。各客户端的具体命令和每次调用的价格见
aisa.one/zh-cn/mcp。费用与请求规则
公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.1356
- 计费依据: response_usd
- 公开参考倍率: 1.0
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
full name of the location
required field if you don't specify location_code
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:United Kingdom
location code
required field if you don't specify location_name
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:2840
full name of the language
required field if you don't specify language_code
Note: it is required to specify either language_name or language_code
you can receive the list of available locations with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:English
language code
required field if you don't specify language_name
Note: it is required to specify either language_name or language_code
you can receive the list of available locations with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:en
include data from SERP for each keyword
optional field
if set to true, we will return a serp_info array containing SERP data (number of search results, relevant URL, and SERP features) for every keyword in the response
default value: false
include or exclude data from clickstream-based metrics in the result
optional field
if the parameter is set to true, you will receive clickstream_keyword_info, keyword_info_normalized_with_clickstream, and keyword_info_normalized_with_bing fields in the response
default value: false
with this parameter enabled, you will be charged double the price for the request
learn more about how clickstream-based metrics are calculated in this help center article
ignore highly similar keywords
optional field
if set to true only core keywords will be returned, all highly similar keywords will be excluded;
default value: false
array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:regex, not_regex, <, <=, >, >=, =, <>, in, not_in, match, not_match, ilike, not_ilike, like,not_like
you can use the % operator with like and not_like,as well as ilike and not_ilike to match any string of zero or more characters
example:["keyword_info.search_volume",">",0]
[["keyword_info.search_volume","in",[0,1000]],
"and",
["keyword_info.competition_level","=","LOW"]]
[["keyword_info.search_volume",">",100],
"and",
[["keyword_info.cpc","<",0.5],
"or",
["keyword_info.high_top_of_page_bid","<=",0.5]]]
for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide
results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:asc - results will be sorted in the ascending orderdesc - results will be sorted in the descending order
you should use a comma to set up a sorting type
example:["keyword_info.competition,desc"]
default rule:["keyword_info.search_volume,desc"]
note that you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:["keyword_info.search_volume,desc","keyword_info.cpc,desc"]
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
the maximum number of returned keywords
optional field
note: you can get more than 1000 results by using the offset_token provided in the response to each subsequent request
default value: 1000
maximum value: 1000
offset in the results array of returned keywords
optional field
default value: 0
if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords
Note: we recommend using this parameter only when retrieving up to 10,000 results
for retrieving over 10,000 results, use the offset_token instead.
offset token for subsequent requests
optional field
provided in the identical filed of the response to each request;
use this parameter to avoid timeouts while trying to obtain over 10,000 results in a single request;
by specifying the unique offset_token value from the response array, you will get the subsequent results of the initial task;offset_token values are unique for each subsequent task
Note: if the offset_token is specified in the request, all other parameters except limit will not be taken into account when processing a task.
learn more about this parameter on our Help Center
[ { "language_name": "English", "location_code": 2840, "limit": 3 } ]
响应
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes